Autom

Google News

GET
/v1/google/news

Search Google News via API and retrieve structured news results with pagination.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Query to search on Google News (keywords, company, topic).

page?number

Page number for pagination (1 = first page).

Default"1"
num?number

Maximum number of results per page (e.g. 10).

Default"10"
gl?string

Country to use (two-letter country code, e.g. us, fr).

hl?string

Language to use (two-letter language code, e.g. en, fr).

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/google/news?query=string"

{  "pagination": {    "next": 2,    "current": 1,    "has_next_page": true  },  "organic_results": [    {      "date": "1 day ago",      "link": "https://www.nytimes.com/wirecutter/reviews/instant-coffee-is-good/",      "title": "Hear Me Out: Instant Coffee Is, in Fact, Good",      "domain": "www.nytimes.com",      "source": "The New York Times",      "snippet": "Not all instant coffee tastes gross.",      "position": 1    }  ],  "search_parameters": {    "q": "coffee",    "gl": "us",    "hl": "en",    "page": 1,    "engine": "google_news"  }}

{  "error": "Bad Request"}
{  "error": "Invalid API Key"}
{  "error": "Payment required"}
{  "error": "Rate limit exceeded for the API key: quota monthly"}
{  "error": "Internal Error"}